body {
  font-family: "Montserrat","Helvetica Neue",Arial,"Hiragino Kaku Gothic ProN","Hiragino Sans",Meiryo,sans-serif;
  font-size: 15px;
  letter-spacing: .05em;
  color: #333;
  overflow-x: hidden;
}


a {
  transition: opacity .3s;
  text-decoration: none;
  color: #1ca9e3;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
  border-style: none;
}

.hero-section {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  height: 100dvh;
  text-align: center;
  position: relative;
  overflow: hidden;
  width: 100%;
}



@keyframes backgroundAnimation {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

.hero-content {
  position: relative;
  z-index: 2;
  width: 100%;
}

.hero-title {
  font-size: 8vw;
  /* 画面サイズに応じたフォントサイズ */
  font-weight: bold;
  display: inline-block;
  letter-spacing: 0.1em;
  color: #333;
  white-space: nowrap;
  /* テキストが折り返さないようにする */
  position: relative;
  transform: translateX(0) translateY(0);
  /* 初期位置 */
  transition: transform 2s;
  /* トランジションをスムーズに */
  perspective: 1000px;
  /* 3D変換を視覚化するために設定 */
}

/* モバイル用のメディアクエリ */
@media (max-width: 780px) {
  .container {
    overflow-y: hidden;
  }

  .hero-title {
    font-size: 70px;
    /* モバイルではフォントサイズを縮小 */
    letter-spacing: 2px;
    /* 文字の間隔も調整 */
  }

  .hero-subtitle {
    font-size: 20px;
    margin: 10px 0;
    font-family: 'Poppins', sans-serif;
    z-index: 99;
  }

  .prof-img {
    /* display: none; */
    opacity: 0.1;
    position: absolute;
    right: 30px;
  }

  .Profile-section {
    position: relative;
  }
}


.hero-title span {
  display: inline-block;
  opacity: 0;
}

.hero-subtitle {
  margin: 1rem 0;
  font-family: 'Poppins', sans-serif;
  color: #333;
}

/* slide-in アニメーション */
.slide-in span {
  transform: translateX(-100%);
  animation: slideIn 1.5s forwards;
}


@keyframes slideIn {
  0% {
    opacity: 0;
    transform: translateX(-100%);
  }

  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

/* zoom-in アニメーション */
.zoom-in span {
  transform: scale(0);
  animation: zoomIn 1.5s forwards;
}

@keyframes zoomIn {
  0% {
    opacity: 0;
    transform: scale(0);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* fade-and-bounce アニメーション */
.fade-and-bounce span {
  transform: translateY(100%);
  animation: fadeAndBounce 1.5s forwards;
}

@keyframes fadeAndBounce {
  0% {
    opacity: 0;
    transform: translateY(100%);
  }

  70% {
    opacity: 1;
    transform: translateY(-20%);
  }

  100% {
    transform: translateY(0);
  }
}

/* fade-in-sequence 一文字ずつ現れるアニメーション */
.fade-in-sequence span {
  transform: translateY(30px);
  animation: fadeInSequence 1.5s forwards;
}

@keyframes fadeInSequence {
  0% {
    opacity: 0;
    transform: translateY(30px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}



@keyframes fadeInUp {
  0% {
    opacity: 0;
    transform: translateY(30px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}



.cta-button:hover {
  transform: scale(1.1);
}

.scroll-indicator {
  position: absolute;
  bottom: 20px;
  left: 50%;
  width: 30px;
  height: 50px;
  border: 2px solid #333;
  border-radius: 30px;
  transform: translateX(-50%);
  opacity: 1;
  /* 初期状態で表示 */
  cursor: pointer;
  /* クリック可能にする */
  transition: opacity 0.5s;
  /* 透過の変化をスムーズに */
  animation: bounce 2s infinite;
  /* アニメーションを追加 */
}

.scroll-indicator::after {
  content: '';
  position: absolute;
  top: 10px;
  left: 50%;
  width: 6px;
  height: 6px;
  background-color: #333;
  border-radius: 50%;
  transform: translateX(-50%);
  animation: scrollDown 2s infinite;
}

@keyframes bounce {

  0%,
  20%,
  50%,
  80%,
  100% {
    transform: translateY(0);
  }

  40% {
    transform: translateY(-20px);
  }

  60% {
    transform: translateY(-10px);
  }
}

@keyframes scrollDown {

  0%,
  100% {
    top: 10px;
    opacity: 1;
  }

  50% {
    top: 30px;
    opacity: 0;
  }
}


.slide-in span {
  transform: translateX(-100%);
  animation: slideIn 1.5s forwards;
}

.zoom-in span {
  transform: scale(0);
  animation: zoomIn 1.5s forwards;
}

.fade-and-bounce span {
  transform: translateY(100%);
  animation: fadeAndBounce 1.5s forwards;
}

.fade-in-sequence span {
  transform: translateY(30px);
  animation: fadeInSequence 1.5s forwards;
}

/* 追加の新しいアニメーション */

/* rotate-in: タイトルが回転しながら表示される */
.rotate-in span {
  transform: rotate(-360deg);
  animation: rotateIn 1.5s forwards;
}

@keyframes rotateIn {
  0% {
    opacity: 0;
    transform: rotate(-360deg);
  }

  100% {
    opacity: 1;
    transform: rotate(0);
  }
}

/* flip-in: タイトルが上下にフリップしながら表示される */
.flip-in span {
  transform: rotateX(90deg);
  animation: flipIn 1.5s forwards;
}

@keyframes flipIn {
  0% {
    opacity: 0;
    transform: rotateX(90deg);
  }

  100% {
    opacity: 1;
    transform: rotateX(0);
  }
}

/* scale-up: タイトルが小さくスケールされながらゆっくり表示される */
.scale-up span {
  transform: scale(0.5);
  animation: scaleUp 1.5s forwards;
}

@keyframes scaleUp {
  0% {
    opacity: 0;
    transform: scale(0.5);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* Explode Effect */
.explode span {
  transform: scale(1);
  animation: explode 1.5s forwards, explode-reverse 1.5s 1.6s forwards;
  /* explode後にexplode-reverseを実行 */
}

@keyframes explode {
  0% {
    opacity: 1;
    transform: scale(1);
  }

  50% {
    opacity: 0.5;
    transform: scale(2);
  }

  100% {
    opacity: 0;
    transform: scale(3);
  }
}

/* explode後に文字を再表示するアニメーション */
@keyframes explode-reverse {
  0% {
    opacity: 0;
    transform: scale(3);
  }

  50% {
    opacity: 0.5;
    transform: scale(2);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}



/* Wave Effect */
.wave span {
  display: inline-block;
  transform: translateY(0);
  animation: wave 1.5s infinite ease-in-out;
}

@keyframes wave {

  0%,
  100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-15px);
  }
}

/* Spin and Grow Effect */
.spin-grow span {
  transform: rotate(0deg) scale(1);
  animation: spinGrow 1.5s forwards;
}

@keyframes spinGrow {
  0% {
    opacity: 0;
    transform: rotate(0deg) scale(0);
  }

  100% {
    opacity: 1;
    transform: rotate(360deg) scale(1.5);
  }
}

/* Shake Effect */
.shake span {
  transform: translateX(0);
  animation: shake 0.8s forwards;
}

@keyframes shake {
  0% {
    transform: translateX(0);
  }

  25% {
    transform: translateX(-5px);
  }

  50% {
    transform: translateX(5px);
  }

  75% {
    transform: translateX(-5px);
  }

  100% {
    transform: translateX(0);
  }
}

/* Zoom Out and Fade Out */
.zoom-fade-out span {
  transform: scale(1);
  animation: zoomFadeOut 1.5s forwards, zoomFadeIn 1.5s 1.6s forwards;
  /* zoom-fade-out後にzoom-fade-inを実行 */
}

@keyframes zoomFadeOut {
  0% {
    opacity: 1;
    transform: scale(1);
  }

  100% {
    opacity: 0;
    transform: scale(0.5);
  }
}

/* zoom-fade-out後に文字を再表示するアニメーション */
@keyframes zoomFadeIn {
  0% {
    opacity: 0;
    transform: scale(0.5);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* fly-in アニメーションを定義 */
@keyframes flyIn {
  from {
    opacity: 0;
    transform: translate(var(--random-x), var(--random-y)) rotate(var(--random-rotate));
  }

  to {
    opacity: 1;
    transform: translate(0, 0) rotate(0deg);
  }
}

/* .fly-in クラスを追加 */
.fly-in span {
  display: inline-block;
  opacity: 0;
  position: relative;
  animation: flyIn 2s ease-out forwards;
}


.pc-only {
  display: block;
}

.sp-only {
  display: none;
}

/*--------------------------------
 レイアウト
---------------------------------*/
.wrapper {
  padding-top: 73px;
}

.section {
  padding: 90px 0;
}

.section:nth-of-type(odd) {
  background-color: #f7f7f7;
}

.container {
  max-width: 1340px;
  margin: 0 auto;
  padding: 0 40px;
}

/*--------------------------------
 見出し
---------------------------------*/
.title {
  font-size: 34px;
  font-weight: bold;
  line-height: 1;
  margin-bottom: 40px;
  text-align: center;
  letter-spacing: .05em;
  color: #333;
}

.lead {
  font-size: 16px;
  line-height: 1.8;
  margin-bottom: 30px;
}

/*--------------------------------
ヘッダー
---------------------------------*/
.header {
  position: fixed;
  top: 0;
  z-index: 9999;
  width: 100%;
  background-color: #fff;
  box-shadow: 0 5px 10px -6px rgba(0,0,0,.1);
}

.header .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 40px;
}

.header-logo {
  font-size: 20px;
  font-weight: bold;
  line-height: 1.2;
  margin-right: 20px;
  letter-spacing: .05em;
}

.header-logo a {
  color: #333;
}

.gnav-list {
  display: flex;
  justify-content: space-between;
  list-style: none;
}

.gnav-item:not(:last-child) {
  margin-right: 20px;
}

.gnav-item a {
  position: relative;
  font-size: 13px;
  font-weight: bold;
  display: inline-block;
  padding: 5px 0;
  transition: .3s;
  letter-spacing: .05em;
  color: #333;
}
.gnav-item a:after {
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 3px;
  content: "";
  transition: .3s;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  background-color: #333;
}

.gnav-item a:hover:after {
  width: 100%;
}

/*--------------------------------
 メインビジュアル
---------------------------------*/
.mv {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 85vh;
  text-align: center;
}

.mv-container {
  padding: 0 40px;
}

.mv-title {
  font-size: 60px;
  font-weight: bold;
  line-height: 1.2;
  margin-bottom: 5px;
  letter-spacing: .1em;
}
.mv-subtitle {
  font-size: 20px;
  font-weight: bold;
  line-height: 1;
  margin-bottom: 40px;
  letter-spacing: .08em;
}

.mv-text {
  font-size: 16px;
  line-height: 1.8;
}

/*--------------------------------
 Works
---------------------------------*/
.works-list {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: -40px;
}

.works-item {
  width: 31.74603%;
  margin-right: 1.58730%;
  margin-bottom: 40px;
  color: #333;
}

.works-item:hover {
  opacity: .9;
}

.works-item:nth-of-type(3n) {
  margin-right: 0;
}

.works-img img {
  border: 1px solid #e6e6e6;
}

.works-name {
  font-size: 12px;
  font-weight: bold;
  margin-top: 8px;
}

.works-info {
  font-size: 10px;
  margin-top: 5px;
}

/*--------------------------------
 Skill
---------------------------------*/
.skill-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-bottom: -50px;
}

.skill-item {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  width: 48%;
  margin-bottom: 50px;
}

.skill-img {
  width: 60px;
  height: auto;
  margin-right: 20px;
}

.skill-body {
  flex: 1;
}

.skill-name {
  margin-bottom: 10px;
}

.skill-text {
  font-size: 14px;
  line-height: 1.8;
}

/*--------------------------------
 About
---------------------------------*/
.profile {
  display: flex;
  flex-wrap: wrap;
  max-width: 800px;
  margin: 0 auto;
}
.profile-img {
  width: 20%;
  margin-right: 30px;
  border-radius: 50%;
}
.profile-img img {
  border-radius: 50%;
}
.profile-body {
  flex: 1;
}

.profile-body p {
  font-size: 15px;
  line-height: 1.8;
}

.profile-body p:not(:last-child) {
  margin-bottom: 30px;
}

/*--------------------------------
 Contact
---------------------------------*/
.contact {
  text-align: center;
}

.contact-item:not(:last-child) {
  margin-right: 10px;
}

.contact-text {
  margin-top: 10px;
}
/*--------------------------------
 ページトップ
---------------------------------*/
.page-top {
  font-weight: bold;
  padding: 10px;
  cursor: pointer;
  text-align: center;
  background-color: #4c4c4c;
}

.page-top .material-icons-outlined {
  vertical-align: bottom;
  color: #fff;
}

/*--------------------------------
 フッター
---------------------------------*/
.footer {
  padding: 30px;
  background-color: #333;
}

.copyright {
  font-size: 10px;
  text-align: center;
  color: #797979;
}



/*media Queries 767
----------------------------------------------------*/
@media screen and (max-width: 767px) {
  body {
    font-size: 14px;
  }

  .hero-title{
    font-size: 3.8rem;
  }
  .hero-subtitle{
    font-size: 0.8rem;
  }

  .pc-only {
    display: none;
  }

  .sp-only {
    display: block;
  }

  /* 見出し */
  .title {
    font-size: 26px;
    margin-bottom: 20px;
  }

  .lead {
    font-size: 14px;
    line-height: 1.7;
    margin-bottom: 20px;
  }

  /* レイアウト */
  .wrapper {
    padding-top: 57px;
  }

  .section {
    padding: 60px 0;
  }

  .container {
    padding: 0 20px;
  }

  /* ヘッダー */
  .header .container {
    padding: 15px;
  }

  .header-logo {
    font-size: 15px;
    margin-right: 15px;
  }

  .gnav-item:not(:last-child) {
    margin-right: 10px;
  }

  .gnav-item a {
    font-size: 10px;
  }

  .gnav-item a:after {
    display: none;
  }

  /*  メインビジュアル */
  .mv {
    height: 75vh;
  }

  .mv-container {
    padding: 0 20px;
  }

  .mv-title {
    font-size: 30px;
  }
  .mv-subtitle {
    font-size: 16px;
    margin-bottom: 20px;
  }

  .mv-text {
    font-size: 14px;
    line-height: 1.7;
  }

  /* Works */
  .works-name {
    font-size: 12px;
  }

  .works-info {
    margin-top: 3px;
  }

  .works-list {
    justify-content: space-between;
  }

  .works-item {
    flex: 0 0 48%;
    margin-right: 0;
    margin-bottom: 30px;
  }

  /* Skill */
  .skill-list {
    display: block;
    margin-bottom: 0;
  }

  .skill-item {
    width: 100%;
    margin-bottom: 35px;
  }

  .skill-item:last-child {
    margin-bottom: 0;
  }

  .skill-name {
    margin-bottom: 5px;
  }

  .skill-text {
    font-size: 13px;
    line-height: 1.7;
  }

  /* About */
  .profile {
    display: block;
  }
  .profile-img {
    width: 150px;
    margin: 0 auto;
    margin-bottom: 25px;
  }

  .profile-body p {
    font-size: 14px;
    line-height: 1.7;
  }

  .profile-body p:not(:last-child) {
    margin-bottom: 20px;
  }

  /* フッター */
  .footer {
    padding: 20px;
  }

  /* 下層ページ */
  .article {
    padding: 50px 0;
  }

  .article-body h3 {
    font-size: 16px;
    padding-left: .8em;
  }

  .article-body h3:not(:first-child) {
    margin-top: 30px;
  }

  .article-body p {
    font-size: 14px;
    line-height: 1.7;
    margin-bottom: 20px;
  }

  .skill-list {
    display: block; /* スキルセクションのリスト表示 */
    margin-bottom: 0;
  }
}

/* リングを作成 */
/* SVGリングのスタイル */
.progress-ring {
  fill: none;
  stroke-width: 10;
  stroke: #01d521; /* リングの色 */
  stroke-linecap: round;
  transition: stroke-dashoffset 1s ease;
  transform: rotate(-90deg); /* リングの開始位置を上にする */
  transform-origin: 50% 50%; /* 回転の原点をリングの中心に */
}

.progress-ring.active {
  stroke: #f00; /* 例として理解度に応じた色 */
}

.skillrings {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin: 0 10px;
}

.skill-icon {
  position: relative;
  width: 80px;
  height: 80px;
  margin: 20px;
}

.skill-icon img {
  width: 50px;
  height: 50px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.progress-circle {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* フェードインのアニメーション */
@keyframes fadeInUp {
  0% {
    opacity: 0;
    transform: translateY(40px); /* 40px下から始める */
  }
  100% {
    opacity: 1;
    transform: translateY(0); /* 元の位置に戻る */
  }
}

.fade-in {
  opacity: 0; /* 初期状態では透明にする */
  transform: translateY(50px); /* 初期位置を少し下に */
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.fade-in.visible {
  opacity: 1;
  transform: translateY(0); /* 上に持ち上がる */
}

/* モーダル全体 */
/* モーダル全体 */
.modal {
  display: none; /* 初期状態では非表示 */
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.75); /* 背景の半透明効果 */
  display: flex;
  justify-content: center;
  align-items: center; /* 画面中央に配置 */
}


/* モーダルコンテンツ */
.modal-content {
  background-color: #fff;
  padding: 30px;
  border-radius: 10px;
  width: 80%;
  max-width: 600px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  text-align: center; /* 中央寄せに */
  position: relative;
  animation: fadeIn 0.3s ease-out; /* フェードインアニメーション */
}

/* モーダルのフェードインアニメーション */
@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-50px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* 閉じるボタン */
.close {
  position: absolute;
  top: 10px;
  right: 20px;
  color: #aaa;
  font-size: 24px;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: #333;
}

/* ボタンスタイル */
.modal-button {
  display: inline-block;
  margin-top: 20px;
  padding: 12px 24px;
  background-color: #1ca9e3;
  color: #fff;
  text-transform: uppercase;
  text-decoration: none;
  font-weight: bold;
  border-radius: 50px;
  transition: background-color 0.3s ease;
  position: absolute;
  bottom: 20px; /* モーダルの下部に配置 */
  left: 50%;
  transform: translateX(-50%);
}

.modal-button:hover {
  background-color: #1482b4;
}

.modal h2 {
  font-size: 24px;
  margin-bottom: 20px;
  color: #333;
}

.modal p {
  font-size: 16px;
  color: #666;
  line-height: 1.8;
  margin-bottom: 40px;
}


@media screen and (max-width: 767px) {
  .modal-content {
    width: 95%;
  }
}

/* ローディング画面の全体 */
#loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999; /* 最前面に表示 */
}

/* ローディングアニメーション */
.loading-animation {
  text-align: center;
}

.loading-circle {
  border: 8px solid rgba(0, 0, 0, 0.1);
  border-top: 8px solid #1ca9e3;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 2s linear infinite;
}

.loading-text {
  margin-top: 10px;
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
  color: #333;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.br-sp {
  display: none;
}

@media (max-width: 767px) {
  .br-sp {
      display: block;
  }
}
